Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class CashBalanceAvailabilityDate1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.CashBalanceAvailabilityDate1

public class CashBalanceAvailabilityDate1 extends Object

Java class for CashBalanceAvailabilityDate1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashBalanceAvailabilityDate1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="NbOfDays" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max15PlusSignedNumericText"/>
               <element name="ActlDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODate"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`actlDt`
`protected String`
`nbOfDays`

## Constructor Summary

Constructors
Constructor
Description
`CashBalanceAvailabilityDate1()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getActlDt()`
Gets the value of the actlDt property.
`String`
`getNbOfDays()`
Gets the value of the nbOfDays property.
`void`
`setActlDt(XMLGregorianCalendar value)`
Sets the value of the actlDt property.
`void`
`setNbOfDays(String value)`
Sets the value of the nbOfDays property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nbOfDays

protected String nbOfDays

### actlDt

protected XMLGregorianCalendar actlDt

## Constructor Details

### CashBalanceAvailabilityDate1

public CashBalanceAvailabilityDate1()

## Method Details

### getNbOfDays

public String getNbOfDays()
Gets the value of the nbOfDays property.

Returns:
  possible object is `String`

### setNbOfDays

public void setNbOfDays(String value)
Sets the value of the nbOfDays property.

Parameters:
  `value` - allowed object is `String`

### getActlDt

public XMLGregorianCalendar getActlDt()
Gets the value of the actlDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setActlDt

public void setActlDt(XMLGregorianCalendar value)
Sets the value of the actlDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`